Debian Bug report logs - #455285
FTBFS with GCC 4.3: missing #includes

version graph

Package: netcdf; Maintainer for netcdf is Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>;

Reported by: Martin Michlmayr <tbm@cyrius.com>

Date: Sun, 9 Dec 2007 17:24:01 UTC

Severity: serious

Tags: lenny, patch, sid

Found in version 3.6.1-1

Fixed in version netcdf/1:3.6.2-3.1

Done: Steve McIntyre <93sam@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian QA Group <packages@qa.debian.org>:
Bug#455285; Package netcdf. Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
New Bug report received and forwarded. Copy sent to Debian QA Group <packages@qa.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: submit@bugs.debian.org
Subject: FTBFS with GCC 4.3: missing #includes
Date: Sun, 9 Dec 2007 10:22:51 -0700
Package: netcdf
Version: 3.6.1-1
Usertags: ftbfs-gcc-4.3

Your package fails to build with GCC 4.3.  Version 4.3 has not been
released yet but I'm building with a snapshot in order to find errors
and give people an advance warning.  In GCC 4.3, the C++ header
dependencies have been cleaned up.  The advantage of this is that
programs will compile faster.  The downside is that you actually
need to directly #include everything you use (but you really should
do this anyway, otherwise your program won't work with any compiler
other than GCC).  There's some more information about this at
http://www.cyrius.com/journal/2007/05/10#gcc-4.3-include

You can reproduce this problem with gcc-snapshot from unstable.  Note
that Red Hat, Novell and Ubuntu have done some work getting packages
to build with GCC 4.3 so there might be patches floating around
somewhere.  I suggest you talk to your upstream.

> Automatic build of netcdf_3.6.1-1 on em64t by sbuild/amd64 0.53
...
> netcdf.cpp:587: warning: suggest explicit braces to avoid ambiguous 'else'
> c++ -c -O2 -Wall -Wno-switch -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -fPIC -I../libsrc -I. -I..  -Df2cFortran -DNDEBUG -D_REENTRANT ncvalues.cpp
> ncvalues.cpp: In member function 'virtual char* NcValues_ncbyte::as_string(long int) const':
> ncvalues.cpp:236: error: 'strncpy' was not declared in this scope
> ncvalues.cpp: In member function 'virtual char* NcValues_char::as_string(long int) const':
> ncvalues.cpp:244: error: 'strncpy' was not declared in this scope
> make[3]: *** [ncvalues.o] Error 1

-- 
Martin Michlmayr
http://www.cyrius.com/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian QA Group <packages@qa.debian.org>:
Bug#455285; Package netcdf. Full text and rfc822 format available.

Acknowledgement sent to Raphael Geissert <atomo64@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian QA Group <packages@qa.debian.org>. Full text and rfc822 format available.

Message #10 received at 455285@bugs.debian.org (full text, mbox):

From: Raphael Geissert <atomo64@gmail.com>
To: 455285@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: FTBFS with GCC 4.3: missing #includes
Date: Mon, 10 Dec 2007 17:20:58 -0600
tag 455285 patch
thanks

Adding #include <cstring> to the affected file should do the trick.

-- 
Atomo64 - Raphael

Please avoid sending me Word, PowerPoint or Excel attachments.
See http://www.gnu.org/philosophy/no-word-attachments.html




Tags added: patch Request was from Raphael Geissert <atomo64@gmail.com> to control@bugs.debian.org. (Mon, 10 Dec 2007 23:24:03 GMT) Full text and rfc822 format available.

Severity set to `important' from `normal' Request was from Matthias Klose <doko@cs.tu-berlin.de> to control@bugs.debian.org. (Thu, 24 Jan 2008 00:39:11 GMT) Full text and rfc822 format available.

Bug marked as fixed in version 3.6.2-1. Request was from "Warren Turkal" <wt@penguintechs.org> to control@bugs.debian.org. (Tue, 04 Mar 2008 08:06:21 GMT) Full text and rfc822 format available.

Bug no longer marked as fixed in version 3.6.2-1. Request was from "Warren Turkal" <wturkal@gmail.com> to control@bugs.debian.org. (Tue, 04 Mar 2008 08:15:08 GMT) Full text and rfc822 format available.

Severity set to `serious' from `important' Request was from Marc Brockschmidt <marc@marcbrockschmidt.de> to control@bugs.debian.org. (Sat, 05 Apr 2008 12:45:27 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Warren Turkal <wt@penguintechs.org>:
Bug#455285; Package netcdf. Full text and rfc822 format available.

Acknowledgement sent to Steve McIntyre <steve@einval.com>:
Extra info received and forwarded to list. Copy sent to Warren Turkal <wt@penguintechs.org>. Full text and rfc822 format available.

Message #25 received at 455285@bugs.debian.org (full text, mbox):

From: Steve McIntyre <steve@einval.com>
To: 455285@bugs.debian.org
Subject: netcdf: diff for NMU version 1:3.6.2-3.1
Date: Sun, 6 Apr 2008 00:46:25 +0100
[Message part 1 (text/plain, inline)]
tags 455285 + patch
thanks

Hi,

Attached is the diff for my netcdf 1:3.6.2-3.1 NMU.
-- 
Steve McIntyre, Cambridge, UK.                                steve@einval.com
Into the distance, a ribbon of black
Stretched to the point of no turning back
[netcdf-3.6.2-3.1-nmu.diff (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Tags added: patch Request was from Steve McIntyre <steve@einval.com> to control@bugs.debian.org. (Sat, 05 Apr 2008 23:51:14 GMT) Full text and rfc822 format available.

Reply sent to Steve McIntyre <93sam@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Martin Michlmayr <tbm@cyrius.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #32 received at 455285-close@bugs.debian.org (full text, mbox):

From: Steve McIntyre <93sam@debian.org>
To: 455285-close@bugs.debian.org
Subject: Bug#455285: fixed in netcdf 1:3.6.2-3.1
Date: Sun, 06 Apr 2008 00:02:26 +0000
Source: netcdf
Source-Version: 1:3.6.2-3.1

We believe that the bug you reported is fixed in the latest version of
netcdf, which is due to be installed in the Debian FTP archive:

libnetcdf-dev_3.6.2-3.1_i386.deb
  to pool/main/n/netcdf/libnetcdf-dev_3.6.2-3.1_i386.deb
libnetcdf4_3.6.2-3.1_i386.deb
  to pool/main/n/netcdf/libnetcdf4_3.6.2-3.1_i386.deb
netcdf-bin_3.6.2-3.1_i386.deb
  to pool/main/n/netcdf/netcdf-bin_3.6.2-3.1_i386.deb
netcdf-dbg_3.6.2-3.1_i386.deb
  to pool/main/n/netcdf/netcdf-dbg_3.6.2-3.1_i386.deb
netcdf-doc_3.6.2-3.1_all.deb
  to pool/main/n/netcdf/netcdf-doc_3.6.2-3.1_all.deb
netcdf_3.6.2-3.1.diff.gz
  to pool/main/n/netcdf/netcdf_3.6.2-3.1.diff.gz
netcdf_3.6.2-3.1.dsc
  to pool/main/n/netcdf/netcdf_3.6.2-3.1.dsc
netcdfg-dev_3.6.2-3.1_i386.deb
  to pool/main/n/netcdf/netcdfg-dev_3.6.2-3.1_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 455285@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Steve McIntyre <93sam@debian.org> (supplier of updated netcdf package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun, 06 Apr 2008 00:00:50 +0100
Source: netcdf
Binary: netcdf-doc netcdfg-dev libnetcdf4 netcdf-dbg libnetcdf-dev netcdf-bin
Architecture: source all i386
Version: 1:3.6.2-3.1
Distribution: unstable
Urgency: low
Maintainer: Warren Turkal <wt@penguintechs.org>
Changed-By: Steve McIntyre <93sam@debian.org>
Description: 
 libnetcdf-dev - Development kit for NetCDF
 libnetcdf4 - An interface for scientific data access to large binary data
 netcdf-bin - Programs for reading and writing NetCDF files
 netcdf-dbg - debugging symbols for NetCDF
 netcdf-doc - Documentation for NetCDF
 netcdfg-dev - Dummy upgrade package for libnetcdf-dev
Closes: 455285
Changes: 
 netcdf (1:3.6.2-3.1) unstable; urgency=low
 .
   * NMU from the Cambridge BSP
   * Patch to allow building with G++ version 4.3 (closes: #455285)
Files: 
 56fba9fdb9dabe63108c7ffd525b055a 715 science optional netcdf_3.6.2-3.1.dsc
 63c2a8c38a145a0b86c6a5368bcf5a9c 563575 science optional netcdf_3.6.2-3.1.diff.gz
 48efb4216548aab3b356b8c32a10d1d8 3489324 doc optional netcdf-doc_3.6.2-3.1_all.deb
 5504bf624fb88107dc1f28d5c4c17331 18790 oldlibs optional netcdfg-dev_3.6.2-3.1_i386.deb
 b672a465237fe006f2dd5e2a56bb8cd8 205686 libs optional libnetcdf4_3.6.2-3.1_i386.deb
 632cd9e46f74760637c1a872394d0678 441738 libdevel extra netcdf-dbg_3.6.2-3.1_i386.deb
 50a8ba99b3e088b9b7451c3ce7c47387 257606 libdevel optional libnetcdf-dev_3.6.2-3.1_i386.deb
 a324106d56e000f7c1c4be52e7751e52 67206 science optional netcdf-bin_3.6.2-3.1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFH+A+3fDt5cIjHwfcRAqnDAKCFywuD59guhpkJ8GGbMkDCuLe/kwCeKFfA
b71EZyGfdGO2flG6ZXKMmhM=
=Iv5j
-----END PGP SIGNATURE-----





Tags added: lenny, sid Request was from Frank Lichtenheld <djpig@debian.org> to control@bugs.debian.org. (Sat, 16 Aug 2008 02:48:19 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 16 Mar 2009 10:19:51 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 16:37:56 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.